# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeCylindricalSurface Class Reference

This class implements the mapping between class
CylindricalSurface from Geom and the class
CylindricalSurface from StepGeom which describes a
cylindrical_surface from Prostep
.

`#include <GeomToStep_MakeCylindricalSurface.hxx>`

Inheritance diagram for GeomToStep_MakeCylindricalSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeCylindricalSurface (const Handle(Geom_CylindricalSurface)&CSurf)
Standard_EXPORT const Handle_StepGeom_CylindricalSurface & | Value () const

## Private Attributes

Handle_StepGeom_CylindricalSurface | theCylindricalSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeCylindricalSurface::GeomToStep_MakeCylindricalSurface | ( | const Handle(Geom_CylindricalSurface)& | CSurf | ) |

## Member Function Documentation

void GeomToStep_MakeCylindricalSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeCylindricalSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeCylindricalSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_CylindricalSurface& GeomToStep_MakeCylindricalSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_CylindricalSurface GeomToStep_MakeCylindricalSurface::theCylindricalSurface `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeCylindricalSurface.hxx